[X2Go-Commits] [x2gothinclient] 01/01: New TCE component: x2gothinclient-minidesktop-mate. Instead of using X2Go Client as login manager, we launch a minimal MATE desktop and connect to X2Go sessions from there.

git-admin at x2go.org git-admin at x2go.org
Tue Jul 8 19:37:27 CEST 2014


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository x2gothinclient.

commit 2dc52bc382f94a5a917706193d49886559cce099
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Tue Jul 8 19:34:42 2014 +0200

    New TCE component: x2gothinclient-minidesktop-mate. Instead of using X2Go Client as login manager, we launch a minimal MATE desktop and connect to X2Go sessions from there.
---
 debian/changelog                               |    3 ++
 debian/control                                 |   28 ++++++++++++++++
 debian/x2gothinclient-minidesktop-mate.install |    1 +
 x2gothinclient-minidesktop/preseed_nodm        |   41 ++++++++++++++++++++++++
 4 files changed, 73 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index fd86e7a..3b4ea1d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,6 +4,9 @@ x2gothinclient (1.1.0.3-0x2go1) UNRELEASED; urgency=low
     - Stop advertising GNOME in default session profile. Switching to MATE.
     - Use type=auto for automatic keyboard detection as default in example
       session profiles.
+    - New TCE component: x2gothinclient-minidesktop-mate. Instead of using
+      X2Go Client as login manager, we launch a minimal MATE desktop and
+      connect to X2Go sessions from there.
 
  -- Mike Gabriel <mike.gabriel at das-netzwerkteam.de>  Thu, 27 Feb 2014 12:03:00 +0100
 
diff --git a/debian/control b/debian/control
index 83fd644..8edd81c 100644
--- a/debian/control
+++ b/debian/control
@@ -92,6 +92,34 @@ Description: Install X2Go Thin Client chroot (meta-package)
  This meta-package installs all X2Go TCE dependencies. This
  package is used in the X2Go Thin Client's chroot.
 
+Package: x2gothinclient-minidesktop-mate
+Architecture: all
+Depends:
+ ${misc:Depends},
+ x2gothinclient-chroot,
+ mate-desktop-environment-core,
+ mate-icon-theme,
+ mate-themes,
+ mate-background,
+ mate-media-pulse,
+ mate-settings-daemon-pulse,
+Description: Minimal desktop for X2Go Thin Client chroot (based on MATE)
+ X2Go is a server based computing environment with
+    - session resuming
+    - low bandwidth support
+    - session broker support
+    - client-side mass storage mounting support
+    - client-side printing support
+    - audio support
+    - authentication by smartcard and USB stick
+ .
+ x2gothinclient-minidesktop-mate:
+ --------------------------------
+ This meta-package provides a minimal desktop (based on MATE) as the
+ TCE's workspace area. From there you can launch X2Go Sessions, but
+ you also have a set of basic applications that run on the thinclient
+ CPU (e.g. iceweasel with Flash).
+
 Package: x2gothinclient
 Architecture: all
 Depends:
diff --git a/debian/x2gothinclient-minidesktop-mate.install b/debian/x2gothinclient-minidesktop-mate.install
new file mode 100644
index 0000000..c4e8bb3
--- /dev/null
+++ b/debian/x2gothinclient-minidesktop-mate.install
@@ -0,0 +1 @@
+x2gothinclient-minidesktop/preseed_nodm usr/share/x2gothinclient/minidesktop/
diff --git a/x2gothinclient-minidesktop/preseed_nodm b/x2gothinclient-minidesktop/preseed_nodm
new file mode 100755
index 0000000..8bd287a
--- /dev/null
+++ b/x2gothinclient-minidesktop/preseed_nodm
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+# Copyright (C) 2014 by Mike Gabriel <mike.gabriel at it-zukunft-schule.de>
+
+# This script is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This script is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the
+# Free Software Foundation, Inc.,
+# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
+
+set -e
+
+do_preseed() {
+    pkg="$1"
+    template="$2"
+    type="$3"
+    value="$4"
+    echo "Preseeding $template to $value"
+    echo $pkg $template $type "$value" | debconf-set-selections || \
+        echo "Failed to load preseed '$template'" 1>&2
+}
+
+# and finally preseed ocsinventory-agent
+do_preseed nodm nodm/enabled boolean true
+do_preseed nodm nodm/user string x2gothinclient
+do_preseed nodm nodm/first_vt 5
+
+echo "Silently running dpkg-reconfigure on package \"nodm\" ... "
+dpkg -l nodm 1>/dev/null 2>/dev/null && { 
+    dpkg-reconfigure -pcritical nodm && echo "DONE." || echo "FAILED!!!"
+} || echo "NEEDS INSTALL."
+echo

--
Alioth's /srv/git/_hooks_/post-receive-email on /srv/git/code.x2go.org/x2gothinclient.git


More information about the x2go-commits mailing list